> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List backgrounds

> List shared public and current-user Podcast backgrounds.

MCP tool: `podcast_list_backgrounds`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/backgrounds
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/backgrounds:
    get:
      tags:
        - Podcast
      summary: list backgrounds
      description: List shared public and current-user Podcast backgrounds.
      operationId: podcast_list_backgrounds
      parameters:
        - description: 宽高比：0=9:16，1=16:9
          in: query
          name: aspect_ratio
          required: true
          schema:
            enum:
              - 0
              - 1
            type: integer
        - description: |-
            AspectRatio 和 Typ 使用指针，是为了区分“明确传入 0”和“完全没有传入”。
            两个字段的 0 都是合法枚举值，不能使用普通 int 配合 required 校验。
          in: query
          name: avatar_type
          required: true
          schema:
            enum:
              - default
              - cartoon
              - pet
            type: string
        - description: 背景类型：0=Speaker Focus，2=Alternating shots
          in: query
          name: typ
          required: true
          schema:
            enum:
              - 0
              - 2
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastBackgroundListResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastBackgroundListResp:
      properties:
        list:
          items:
            $ref: '#/components/schemas/vo.PodcastBackgroundListItem'
          type: array
      type: object
    vo.PodcastBackgroundListItem:
      properties:
        aspect_ratio:
          description: 宽高比：0=9:16，1=16:9
          type: integer
        avatar_type:
          description: 数字人类型
          type: string
        err_msg:
          description: 25aigc_photo 错误信息；非 AI 背景固定为空
          type: string
        for_stage:
          description: 是否仅在 Stage 使用
          type: integer
        height:
          description: 用户上传图片高度；公共背景为 0
          type: integer
        id:
          description: 公共背景 ID；用户背景固定为 0
          type: integer
        is_show:
          description: 是否展示
          type: integer
        label:
          description: 背景标签；用户背景固定为空
          type: string
        left_url:
          description: 左侧背景图
          type: string
        origin_url:
          description: 原图 URL
          type: string
        photo_unique_id:
          description: AI 生图任务 ID；非 AI 背景固定为空
          type: string
        preview_url:
          description: 预览图 URL
          type: string
        progress:
          description: 25aigc_photo 任务进度；非 AI 背景固定为 0
          type: integer
        progress_desc:
          description: 25aigc_photo 任务状态；非 AI 背景固定为空
          type: string
        prompt:
          description: 背景提示词
          type: string
        reference_images:
          description: AI 生图任务使用的参考图
          items:
            $ref: '#/components/schemas/vo.ReferenceImageResp'
          type: array
        right_url:
          description: 右侧背景图
          type: string
        source:
          description: public/user_upload/ai_generated
          type: string
        style:
          description: 背景风格
          type: string
        typ:
          description: 背景类型：0=Speaker Focus，2=Alternating shots
          type: integer
        user_background_id:
          description: 用户背景表 ID；公共背景固定为 0
          type: integer
        width:
          description: 用户上传图片宽度；公共背景为 0
          type: integer
      type: object
    vo.ReferenceImageResp:
      properties:
        key:
          description: 类型：face/appearance/background
          type: string
        url:
          description: 图片URL
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````